import { Platform } from "./models";
export declare class Exception {
    message: string;
    constructor(message: string);
}
export declare class ParametersParseFailException extends Exception {
    parameter: string;
    constructor(parameter: string);
}
export declare class UnsupportedPlatformException extends Exception {
    platform: Platform;
    constructor(platform: Platform);
}
export declare class UploadFailedExpection extends Exception {
    constructor();
}
export declare class NonSquarePixelException extends Exception {
    constructor();
}
